# $Revision: 1.33 $, $Date: 2012/01/13 13:37:26 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Regexp
%define		pnam	Common
Summary:	Regexp::Common Perl module - commonly requested regular expressions
Summary(pl.UTF-8):	Moduł Perla Regexp::Common - często używane wyrażenia regularne
Name:		perl-Regexp-Common
Version:	2011121001
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Regexp/ABIGAIL/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9e6a8fed514017589f44cde02b947ac5
URL:		http://search.cpan.org/dist/Regexp-Common/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# not recognized for unknown reason
%define		_noautoreq	'perl(Regexp::Common::URI)'

%description
This package contains Regexp::Common module that stores or generates
commonly needed regular expressions. Patterns currently provided
include:
 * balanced parentheses and brackets
 * delimited text (with escapes)
 * integers and floating-point numbers in any base (up to 36)
 * comments in C, C++, Perl, and shell
 * offensive language
 * lists of any pattern
 * IPv4 addresses
 * URIs

%description -l pl.UTF-8
Ten pakiet zawiera moduł Regexp::Common, który zawiera lub generuje
często potrzebne wyrażenia regularne. Aktualnie zawiera wzorce dla:
 * zrównoważonych nawiasów
 * ograniczonego tekstu (z cytowaniem)
 * liczb całkowitych i zmiennoprzecinkowych o dowolnej podstawie (do 36)
 * komentarzy w C, C++, Perlu i shellu
 * słów obraźliwych (w języku angielskim)
 * list o dowolnym wzorcu
 * adresów IPv4.
 * URI

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO
%{perl_vendorlib}/Regexp/Common.pm
%{perl_vendorlib}/Regexp/Common
%{_mandir}/man3/Regexp::Common*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Regexp-Common.spec,v $
Revision 1.33  2012/01/13 13:37:26  zbyniu
- up to 2011121001

Revision 1.32  2011/11/28 09:24:53  arekm
- up to 2011041701

Revision 1.31  2011/03/05 14:21:39  qboosh
- updated to 2010010201

Revision 1.30  2008/12/01 14:02:09  arekm
- up to 2.122

Revision 1.29  2008/07/27 22:24:10  arekm
- release 2

Revision 1.28  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.27  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.26  2005/07/23 21:35:34  radek
- version 2.120

Revision 1.25  2005/01/07 12:19:00  adamg
- release 2 (for fixed deps on ac-i386)

Revision 1.24  2005/01/03 12:14:49  adamg
- updated to 2.119

Revision 1.23  2004/12/27 17:15:37  adamg
- updated to 2.118

Revision 1.22  2004/11/03 22:30:41  paladine
- formatting

Revision 1.21  2004/08/24 21:46:06  qboosh
- removed obsolete test patch

Revision 1.20  2004/08/08 21:03:33  adamg
- updated to 2.117
- commented out test.patch, we'll see if it is still needed

Revision 1.19  2004/06/19 18:34:00  qboosh
- updated test patch to kill random zip/spain.t failures; release 2

Revision 1.18  2004/06/10 17:16:25  adamg
- updated to 2.115

Revision 1.17  2004/05/22 16:58:01  qboosh
- added tests patch (fixes tests on 64-bit archs); release 3

Revision 1.16  2004/05/06 18:20:58  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/27 15:26:25  ankry
- new bconds

Revision 1.14  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/06/12 09:48:43  qboosh
- up to 2.113 (from RA-branch), release 2

Revision 1.12  2003/05/28 13:00:59  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/24 20:37:29  radek
- always...

Revision 1.7  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.6  2003/02/23 00:13:23  ankry
- updated to
- fixed required perl version number
- add _noautoreq

Revision 1.5  2003/02/21 10:46:47  ankry
- updated to 2.109

Revision 1.4  2003/02/18 15:37:55  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/08/31 12:24:07  radek
- version 1.20
STBR

Revision 1.2  2002/08/11 18:11:51  radek
- version 0.09
- conditional tests

Revision 1.1  2002/07/13 18:39:04  qboosh
- new
